diff --git a/src/backend/commands/copy.c b/src/backend/commands/copy.c
index f22d0a0..b95f96e 100644
--- a/src/backend/commands/copy.c
+++ b/src/backend/commands/copy.c
@@ -1527,7 +1527,9 @@ BeginCopy(ParseState *pstate,
 		}
 
 		/* plan the query */
-		plan = pg_plan_query(query, 0, NULL);
+		plan = pg_plan_query(query,
+							 is_from ? 0 : CURSOR_OPT_PARALLEL_OK,
+							 NULL);
 
 		/*
 		 * With row level security and a user using "COPY relation TO", we
